nvdebug(1)

NAME
nvdebug - Out-of-Band log collection tool for NVIDIA DGX, HGX, MGX platforms.

SYNOPSIS
nvdebug -i <BMCIP> -u <BMCUSER> -p <BMCPASS> -t <PLATFORM>

DESCRIPTION
nvdebug This tool performs out-of-band collection of debug logs for information gathering and troubleshooting.

COMMAND LINE OPTIONS

Mandatory (unless specified in config file):

    -i/--ip <BMC IP>
        BMC IP address

    -u/--user <BMC USER>
        BMC username with administrative privileges

    -p/--password <BMC PASS>
        BMC administrator user password

    -t/--platform <DGX|HGX-HMC|arm64|x86_64|NVSwitch>
        Target Platform Type for machine under test

Additional credentials/Host options:

    -r/--sshuser <SSH USER>
        BMC SSH username

    -w/--sshpass <SSH PASS>
        BMC SSH password

    -R/--rfuser <RF USER>
        BMC Redfish username

    -W/--rfpass <RF PASS>
        BMC Redfish password

    -I/--hostip <HOST IP>
        Host IP address

    -U/--hostuser <HOST USER>
        Host username with administrative privileges

    -H/--hostpass <HOST PASS>
        Host administrator password

Additional options:

    -C/--config
        Path to config.yaml file. By default, it's assumed to be in the current directory

    -c/--common
        Collect only common log collectors and skip platform specific log collectors

    -v/--verbose
        Display detailed output and error messages to stdout

    -o/--outdir <OUTPUT DIRECTORY>
        Provide the output directory for log zip. Default is /tmp

    -P/--port <port number>
        Provide the port number to be used for port forwarding. Default is 18888. Only used for HGX-HMC

Custom Log Collection:

    -S/--cids CID [CID ...]
        Run custom list of log collectors based on the Log Collector IDs passed. The Log Collector IDs can be displayed using -l/--list

    -g/--loggroup <Redfish|IPMI|SSH|Host|HealthCheck>
        Run all log collectors of a certain type that are supported by the platform. This option cannot be used if -S/--cids is also passed.

    -j/--vendor_file <VENDOR JSON>
        Run vendor specific log collectors provided via the Vendor Json file

Utility:

    -l/--list [Redfish|IPMI|SSH|Host|HealthCheck]
        List log collectors supported by the platform. If no argument is passed, print all supported log collectors. Otherwise if a Log Collector Group is passed, then only display log collectors of that group

    -h/--help
        Get information about nvdebug

    --version
        Display the current version of nvdebug

CONFIG FILE
A config file can be provided using the -C/--config option. By default, it is called 'config.yaml' and is assumed to be in the same folder as the executable. All the mandatory command line arguments can be provided via the config file instead. Additionally, if the Redfish/SSH credentials of the BMC are not the same, the config file can be used to provide separate credentials for each. If an option is provided both in the config file and through the CLI, the CLI takes priority.

The config file consists of two sections. The first contains the DUT (device-under-test) details and needs to be provided under the heading "DUT". The second section consists of the NVDebug specific options.

The following options can be provided under DUT:

    BMC_IP:
        BMC IP address. Replaces option -i/--ip

    BMC_USERNAME:
        BMC user. Replaces option -u/--user

    BMC_PASSWORD:
        BMC password. Replaces option -p/--password

    BMC_SSH_USERNAME:
        BMC SSH username. Replaces option -r/--sshuser. If not provided, assumed to be the same as BMC user.

    BMC_SSH_PASSWORD:
        BMC SSH password. Replaces option -w/--sshpass. If not provided, assumed to be the same as BMC password.

    RF_User:
        BMC Redfish username. Replaces option -R/--rfuser. If not provided, assumed to be the same as BMC user.

    RF_Pass:
        BMC Redfish password. Replaces option -W/--rfpass. If not provided, assumed to be the same as BMC password.

    TUNNEL_TCP_PORT:
        Port number to be used for port forwarding. Replaces option -P/--port. Only used for HGX-HMC.

    HOST_IP:
        Host IP address. Replaces option -I/--hostip. If not provided, NVDebug assumes it is running on the host machine

    HOST_USERNAME:
        Host user. Replaces option -U/--hostuser. Must be provided if host ip is present

    HOST_PASSWORD:
        Host password. Replaces option -H/--hostpass. Must be provided if host ip is present

    HMC_IP:
        HMC IP address. If not provided, NVDebug assumes the default 192.168.31.1

    ipmi_cipher:
        Cipher suite to be used for IPMI commands. Default is -C 17

    SETUP_PORT_FORWARDING:
        Whether the tool should setup port forwarding or not. If set to True, the tool sets it up. If False, the tool expects the user to set it up before. Default is True.

    RF_AUTH:
        Set to True if Redfish service requires authentication. Default is true.

    RF_DEFAULT_PREFIX:
        Default Redfish prefix used for login. Default is /redfish/v1

    IP_NETWORK:
        Specify the network type. Accepts "ipv4" and "ipv6". Default is "ipv4"

The following options can be provided as part of NVDebug specific options:

    PLATFORM:
        Target Platform Type. Replaces option -t/--platform. Allowed values are HGX-HMC, DGX, x86_64, arm64 or NVSwitch.

    SKIP_PORT_FW:
        Can be set to true to skip port forwarding setup. Default value is false.

    SKIP_BMC_SSH_LOGS:
        Can be set to true to skip collecting SSH logs. Default value is false.

    OUTPUT_DIR:
        Output directory for the zip file. Replaces option -o/--outdir.

    SystemID:
        Pass a specific Redfish system ID to collect logs from. By default, NVDebug will collect from all available systems

    ManagerID:
        Pass a specific Host BMC manager ID to collect logs from. By default, NVDebug will collect from all managers of type BMC

    HGX_I2C1_BUS_ADDRESS:
        I2C1 Bus number of NVIDIA HGX-HMC Baseboard.

    FW_INVENTORY_TABLE_PROPERTIES:
        List of additional properties to collect when running firmware_inventory_table collector (R20). By default, collects Id and Version.

    EXTRA_LOG_COLLECTION:
        Enables additional log collection. This will run nvidia-bug-report (H11) with --extra-system-data flag as well.

    NVLINK_OOB_URI:
        List of URIs to collect when running nvlink_oob_logs collector (R23). If empty, collects System Event Logs.

AUTHOR
NVIDIA Corporation

COPYRIGHT
Copyright 2024 NVIDIA Corporation.